var VCall = function()
{
	var vcall = {};
	var debug = 0;
	
	// Page initialization
	vcall.initPage = function()
	{
		// Navigation
		Buttons.addClickHandler('goregister', Wizard.goRegister);
		
		// Final registration
		Events.addEventHandler('wizard', 'wizard-submit', vcall.submit);
		
		var url = '../VariantCalling.servlet?ID='+App.getSessionId();
		url += '&cmd=GetVariantCallsNeedingImport';
		Wizard.showLoadingAnimation('Checking for variant calls...');
		Wizard.asyncJsonRequest(url, vcall.countDone);
	}
	
	// --- Step 1 -----------------------------------
	
	vcall.countDone = function(response)
	{
		var countRawBioAssays = response.countRawBioAssays;
		Doc.element('countRawBioAssays').innerHTML = countRawBioAssays;
		Doc.show('step-1');
		
		if (countRawBioAssays > 0)
		{
			Doc.show('goregister');
			if (response.disabled)
			{
				Wizard.showGoNextConfirmation(true, 'This wizard has been disabled. Override by marking the checkbox!');
			}
		}
	}
	
	vcall.submit = function()
	{
		var url = '../VariantCalling.servlet?ID='+App.getSessionId();
		url += '&cmd=ImportToExistingVariantCalls';
		
		Wizard.showLoadingAnimation('Importing...', 'variant-import-progress');
		Wizard.asyncJsonRequest(url, vcall.submissionResults, 'POST');
	}

	vcall.submissionResults = function(response)
	{
		Wizard.showFinalMessage(response.messages);
		Doc.show('gorestart');
	}

	return vcall;
}();

Doc.onLoad(VCall.initPage);

